#!/bin/bash


mkdir -p handbook

TMP_HTML="$(realpath ./handbook/index.html)"
HTML="html/index.html"
LAYOUT_PDF="pdf/handbook.pdf"

BODY_VAR="{{BODY_HTML}}"
TMPL_HTML=`cat tmpl/layout.html.tmpl`
BODY_CONTENT=`cat "${HTML}"`

ALL_HTML="${TMPL_HTML/$BODY_VAR/$BODY_CONTENT}"
echo "${ALL_HTML}" > "${TMP_HTML}"

chromium-browser \
	--headless \
	--no-sandbox \
	--disable-gpu \
	--run-all-compositor-stages-before-draw \
	--print-to-pdf-no-header \
	--no-margins \
	--print-to-pdf="${LAYOUT_PDF}" \
	"${TMP_HTML}"

mkdir -p handbook
cd handbook

#convert -density 600 "../${LAYOUT_PDF}" -quality 90 page-%3d.jpg
pdftoppm "../${LAYOUT_PDF}" page -jpeg -rx 600 -ry 600

cd ..
rm -f "${TMP_HTML}"
rm -f "${LAYOUT_PDF}"